#ifndef UKCCBLUETOOTHCONFIG_H
#define UKCCBLUETOOTHCONFIG_H

#include <QFile>
#include <QDebug>
#include <QPixmap>
#include <QProcess>
#include <ukui-log4qt.h>

#include "kysdk/kysdk-system/libkysysinfo.h"

#include "config.h"

class ukccbluetoothconfig
{
public:
    ukccbluetoothconfig();
    enum PixmapColor {
            WHITE = 0,
            BLACK,
            GRAY,
            BLUE,
            DEFAULT
    };

    static void launchBluetoothServiceStart(const QString &processName);
    static void killAppProcess(const quint64 &processId);
    static bool checkProcessRunning(const QString &processName, QList<quint64> &listProcessId);
    static void setEnvPCValue();
    static const QPixmap loadSvg(const QPixmap &source, const PixmapColor &cgColor);
    static const QImage loadSvgImage(const QPixmap &source, const PixmapColor &cgColor);

};

#endif // UKCCBLUETOOTHCONFIG_H
