/* -*- Mode: C;  tab-width: 4;  indent-tabs-mode: dunto;  c-basic-offset: 4 -*-
*
* Copyright (C) 2019 Tianjin KYLIN Information Technology Co., Ltd.
*
* This program is free software;  you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation;  either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY;  without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.   See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program;  if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
*
*/

#ifndef TRAYICON_H
#define TRAYICON_H

#include "fileSend/bluetoothfiletransferwidget.h"
#include "daemon/bluetoothdbus.h"

#include <glib.h>
#include <glib/gprintf.h>
#include <iostream>
#include <QApplication>
#include <QWidget>
#include <QSystemTrayIcon>
#include <QAction>
#include <QString>
#include <QMenu>
#include <QGSettings>
#include <QDebug>

#ifdef KYSEC
#include <kysec/libkysec.h>
#include <kysec/status.h>
#endif

using namespace std;

class TrayIcon : public QWidget
{
    Q_OBJECT

public:
    TrayIcon(QWidget *parent = nullptr);
    ~TrayIcon();
    void InitTrayWidget();
    void SetAdapterFlag(bool set);

signals:
    void showTayWidget();
    void openBluetoothSettings();

public slots:
    void GSettings_value_chanage(const QString &key);
    void SetTrayIcon(bool open);

private:
    QSystemTrayIcon *bluetooth_tray_icon = nullptr;
    QMenu           *tray_Menu           = nullptr;
    QGSettings *StyleSettings            = nullptr;
    QGSettings      *settings            = nullptr;
    bool            hasAdapter           = true;
    bool            secState             = false;
} ;
#endif // TRAYICON_H
